package cn.com.countrygarden.bi.main.model.financial.dto;

import com.alibaba.fastjson.JSON;

/**
 * @program: DPshow_depart
 * @description: 财务报表成本DTO
 * @author: SignV
 * @create: 2018-08-15 10:48
 **/
public class OutCome {
    private Object mainCost;            //主营业务成本
    private Object managementCost;     //管理费用
    private Object saleCost;            //销售费用
    private Object financialCost;      //财务费用
    private Object indirectCost;       //间接费用合计 = 财务费用 + 销售费用 + 管理费用
    private String year;                //年份
    private String month;               //月份
    private String commId;              //项目ID（项目ID和区域Code只能有一个存在，总部权限时 两个都为空）
    private String organCode;           //区域Code（项目ID和区域Code只能有一个存在，总部权限时 两个都为空）

    public OutCome(Object mainCost, Object managementCost, Object saleCost, Object financialCost, Object indirectCost, String year, String month, String commId, String organCode) {
        this.mainCost = mainCost;
        this.managementCost = managementCost;
        this.saleCost = saleCost;
        this.financialCost = financialCost;
        this.indirectCost = indirectCost;
        this.year = year;
        this.month = month;
        this.commId = commId;
        this.organCode = organCode;
    }

    public OutCome() {
    }

    public Object getMainCost() {
        return mainCost;
    }

    public void setMainCost(Object mainCost) {
        this.mainCost = mainCost;
    }

    public Object getManagementCost() {
        return managementCost;
    }

    public void setManagementCost(Object managementCost) {
        this.managementCost = managementCost;
    }

    public Object getSaleCost() {
        return saleCost;
    }

    public void setSaleCost(Object saleCost) {
        this.saleCost = saleCost;
    }

    public Object getFinancialCost() {
        return financialCost;
    }

    public void setFinancialCost(Object financialCost) {
        this.financialCost = financialCost;
    }

    public Object getIndirectCost() {
        return indirectCost;
    }

    public void setIndirectCost(Object indirectCost) {
        this.indirectCost = indirectCost;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getCommId() {
        return commId;
    }

    public void setCommId(String commId) {
        this.commId = commId;
    }

    public String getOrganCode() {
        return organCode;
    }

    public void setOrganCode(String organCode) {
        this.organCode = organCode;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
